<?php 
	/****  Treatment of $line ****/
	function lineTreatmentFunction($caseExpr, $line, $subExpr) 
	{	
		$detect_order = array('UTF-8', 'ISO-8859-1', 'Windows-1252'); 	// Treatment of special chars
		$encoding = mb_detect_encoding($line,$detect_order);			// Treatment of special chars
		
		for ($i = 0; $i < sizeof($caseExpr); $i++){
			if (preg_match($caseExpr[$i][0], $line)){ 	// Match!
				// Deprecated
				/*
				if ($dotsCounter != 0){
					echo '<span style="color:gray; font-size:0.7em;">...<br>'.$dotsCounter.' lines<br>...<br></span>';
				echo '<span style="color:gray; font-size:0.7em;">Line number: '.$lineCounter.'<br></span>';
					$dotsCounter = 0;
				}
				*/
				if (preg_match('/SubExpr: /', $caseExpr[$i][1])){ 					// The second field is "SubExp" 
					$subExprName = preg_split('/SubExpr: /', $caseExpr[$i][1]);		// We get the name of the subexpression array
					for ($j = 0; $j < sizeof($subExpr[$subExprName[1]]); $j++){		// Look if some of the subregexp matches
						if (preg_match($subExpr[$subExprName[1]][$j][0], $line)){	// Match!
							echo '<span style="'.$subExpr[$subExprName[1]][$j][1].'">'.htmlentities($line, ENT_QUOTES, $encoding).'</span><br>'; // htmlentities allows us to print special characters like "< > è..." without problems
							break;	// The match has been printed, go out and get the next line
						}
					}
					break;	// The match has been printed, go out and get the next line
				}
				else if(preg_match('/Skip: /', $caseExpr[$i][1])){			// The second field is "Skip"
					$skipNumber = preg_split('/Skip: /', $caseExpr[$i][1]);	// How many lines do we want to skip?
					for ($j = 0; $j < $skipNumber[1]; $j++){				// Skip them
						fgets($handle);
					}
					break;	// Go out and get the next line
				}
				else if(preg_match('/Split/', $caseExpr[$i][1])){
					$fields = explode("|", $line);
					echo $fields[0]."|".$fields[1]."|".$fields[2]."|".'<span style="'.$staticAllExpr[$i][2].';">'.htmlentities($fields[3], ENT_QUOTES, $encoding).'</span>';
					for($k = 4; $k < sizeof($fields); $k++){
						echo "|".htmlentities($fields[$k], ENT_QUOTES, $encoding);
					}
					echo '<br>';
					break;
				}
				else if(preg_match('/Link/', $caseExpr[$i][1])){
					$fields = explode("contentURL: ", $line);	// Comes from: /FetchDocument - buffer is saved in/
					if($fields[1]){
						echo'<span style="'.$caseExpr[$i][2].';">'.htmlentities($fields[0], ENT_QUOTES, $encoding)."contentURL: ".'</span>'; // Prints the previous text to the URL
						echo '<a href="show_file.php?file='.htmlentities($fields[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities($fields[1], ENT_QUOTES, $encoding).'</a><br>'; // Prints the URL
						//echo '<a href="'.htmlentities($fields[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities($fields[1], ENT_QUOTES, $encoding).'</a><br>'; // Prints the URL
						break;
					}
					$fields = explode("Parse error in file \"", $line);	// Comes from: /FetchDocument - Parse error in file/
					if($fields[1]){
						echo '<span style="'.$caseExpr[$i][2].';">'.htmlentities($fields[0], ENT_QUOTES, $encoding).'Parse error in file </span>';		// Prints the previous text to the URL

						$postFields = explode("\"", $fields[1]);
						if(preg_match('/localhost/', $postFields[0]))
							$addresses = explode("localhost", $postFields[0]);
						else if(preg_match('/127\.0\.0\.1/', $postFields[0]))
							$addresses = explode("127.0.0.1", $postFields[0]);
						echo '<a href="'.htmlentities($addresses[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities($postFields[0], ENT_QUOTES, $encoding).'</a>'; // Prints the URL
						echo '<span style="'.$caseExpr[$i][2].';">'.htmlentities($postFields[1], ENT_QUOTES, $encoding).'</span><br>';		// Prints text after URL
						break;
					}
					$fields = explode("contentURL=", $line);	// Comes from: /Dumping HTTP messages/
					if($fields[1]){
						echo '<span style="'.$caseExpr[$i][2].';">'.htmlentities($fields[0], ENT_QUOTES, $encoding)."contentURL=".'</span>'; // Prints the previous text to the URL
						echo '<a href="show_file.php?file='.htmlentities($fields[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities($fields[1], ENT_QUOTES, $encoding).'</a><br>'; // Prints the URL
						break;
					}
					$fields = explode("src=/", $line);	// Comes from: /VXIrecGrammarControler\|MSG>3/
					if($fields[1]){
						echo '<span style="'.$caseExpr[$i][2].';">'.htmlentities($fields[0], ENT_QUOTES, $encoding)."src=".'</span>'; // Prints the previous text to the URL
						echo '<a href="show_file.php?file=/'.htmlentities($fields[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities("/".$fields[1], ENT_QUOTES, $encoding).'</a><br>'; // Prints the URL
						break;
					}
					$fields = explode("contentURL: ", $line);	// Comes from: /com.speechworks.vxi\|URL: /
					if($fields[1]){
						echo '<span style="'.$caseExpr[$i][2].';">'.htmlentities($fields[0], ENT_QUOTES, $encoding)."contentURL: ".'</span>'; // Prints the previous text to the URL
						echo '<a href="show_file.php?file=/'.htmlentities($fields[1], ENT_QUOTES, $encoding).'" target="_blank">'.htmlentities("/".$fields[1], ENT_QUOTES, $encoding).'</a><br>'; // Prints the URL
						break;
					}
				}
				else if(preg_match('/Show/', $caseExpr[$i][1])){	// Basic match, with the style on the second field
					echo '<span style="'.$caseExpr[$i][2].'">'.htmlentities($line, ENT_QUOTES, $encoding).'</span><br>';
					break;	// The match has been printed, go out and get the next line
				}
			}
			/*
			else
				$dotsCounter++;
			*/
		}
		
		ob_flush();
		flush();	
	} 
	/**** End of $line's treatment ****/
?>